package com.ruoyi.system.domain;

import java.time.LocalDate;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 用户7/30天统计数据对象 st_user
 * 
 * @author haotian
 * @date 2024-11-04
 */
public class StUser extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 用户ID */
    private Long userId;

    /** 用户近7天在线时长 */
    @Excel(name = "用户近7天在线时长")
    private Long seOnlineTime;

    /** 用户近30天在线时长 */
    @Excel(name = "用户近30天在线时长")
    private Long thOnlineTime;

    /** 用户近7天MR在线时长 */
    @Excel(name = "用户近7天MR在线时长")
    private Long seMrTime;

    /** 用户近30天MR在线时长（注意：原语句中defult应为default） */
    @Excel(name = "用户近30天MR在线时长", readConverterExp = "注=意：原语句中defult应为default")
    private Long thMrTime;

    /** 用户近7天消费 */
    @Excel(name = "用户近7天消费")
    private Long seConsumption;

    /** 用户近30天消费 */
    @Excel(name = "用户近30天消费")
    private Long thConsumption;

    /** 用户近7天上传内容数 */
    @Excel(name = "用户近7天上传内容数")
    private Long seWork;

    /** 用户近30天上传内容数（注意：原语句中2o应为20） */
    @Excel(name = "用户近30天上传内容数", readConverterExp = "注=意：原语句中2o应为20")
    private Long thWork;

    /** 日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "日期", width = 30, dateFormat = "yyyy-MM-dd")
    private LocalDate date;

    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setSeOnlineTime(Long seOnlineTime)
    {
        this.seOnlineTime = seOnlineTime;
    }

    public Long getSeOnlineTime()
    {
        return seOnlineTime;
    }
    public void setThOnlineTime(Long thOnlineTime)
    {
        this.thOnlineTime = thOnlineTime;
    }

    public Long getThOnlineTime()
    {
        return thOnlineTime;
    }
    public void setSeMrTime(Long seMrTime)
    {
        this.seMrTime = seMrTime;
    }

    public Long getSeMrTime()
    {
        return seMrTime;
    }
    public void setThMrTime(Long thMrTime)
    {
        this.thMrTime = thMrTime;
    }

    public Long getThMrTime()
    {
        return thMrTime;
    }
    public void setSeConsumption(Long seConsumption) 
    {
        this.seConsumption = seConsumption;
    }

    public Long getSeConsumption() 
    {
        return seConsumption;
    }
    public void setThConsumption(Long thConsumption) 
    {
        this.thConsumption = thConsumption;
    }

    public Long getThConsumption() 
    {
        return thConsumption;
    }
    public void setSeWork(Long seWork) 
    {
        this.seWork = seWork;
    }

    public Long getSeWork() 
    {
        return seWork;
    }
    public void setThWork(Long thWork) 
    {
        this.thWork = thWork;
    }

    public Long getThWork() 
    {
        return thWork;
    }
    public void setDate(LocalDate date)
    {
        this.date = date;
    }

    public LocalDate getDate()
    {
        return date;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("userId", getUserId())
            .append("seOnlineTime", getSeOnlineTime())
            .append("thOnlineTime", getThOnlineTime())
            .append("seMrTime", getSeMrTime())
            .append("thMrTime", getThMrTime())
            .append("seConsumption", getSeConsumption())
            .append("thConsumption", getThConsumption())
            .append("seWork", getSeWork())
            .append("thWork", getThWork())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("date", getDate())
            .toString();
    }
}
